# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global parent plexus
%global subname ant-factory

Name:           %{parent}-%{subname}
Version:        1.0
Release:        %mkrel 0.17.a2.8
Group:          Development/Java
Epoch:          0
Summary:        Plexus Ant component factory
# Email from copyright holder confirms license.
# See plexus-ant-factory_license_and_copyright.txt
License:        ASL 2.0
Group:          Development/Tools
URL:            http://plexus.codehaus.org/
Source0:        %{name}-src.tar.bz2
# svn export http://svn.codehaus.org/plexus/tags/plexus-ant-factory-1.0-alpha-2.1/ plexus-ant-factory/
# tar cjf plexus-ant-factory-src.tar.bz2 plexus-ant-factory/
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local

BuildRequires:  ant
BuildRequires:  plexus-classworlds
BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-utils
BuildRequires:  plexus-component-factories-pom


%description
Ant component class creator for Plexus.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
cp %{SOURCE1} LICENSE


%build
%mvn_file  : %{parent}/%{subname}
%mvn_build

%install
%mvn_install


%pre javadoc
# workaround for rpm bug, can be removed in F-20
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files -f .mfiles
%doc LICENSE
%dir %{_javadir}/plexus

%files javadoc -f .mfiles-javadoc
%doc LICENSE





%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0:1.0-0.17.a2.8.mga9
+ Revision: 1828790
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 neoclust <neoclust> 0:1.0-0.17.a2.7.mga8
+ Revision: 1615971
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 0:1.0-0.17.a2.6.mga8
+ Revision: 1499255
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0:1.0-0.17.a2.5.mga7
+ Revision: 1274196
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0:1.0-0.17.a2.3.mga6
+ Revision: 977768
- First rebuild of the java stack
- sync package plexus-ant-factory with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.0-0.5.a2.9.mga5
+ Revision: 742926
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ dmorgan <dmorgan>
- Fix BuildRequires

* Wed Dec 25 2013 dmorgan <dmorgan> 0:1.0-0.5.a2.6.mga4
+ Revision: 560686
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 dmorgan <dmorgan> 0:1.0-0.5.a2.5.mga4
+ Revision: 451810
- migrated to plexus-components-component-default

* Sun Jan 13 2013 umeabot <umeabot> 0:1.0-0.5.a2.4.mga3
+ Revision: 377819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0:1.0-0.5.a2.3.mga3
+ Revision: 324819
- Java Stack Mass Rebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 0:1.0-0.5.a2.2.mga3
+ Revision: 292982
- Build with maven3

* Thu Jan 05 2012 dmorgan <dmorgan> 0:1.0-0.5.a2.1.2.3.mga2
+ Revision: 191590
- Rebuild with new rpm mavan dep generator

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.0-0.5.a2.1.2.2.mga1
+ Revision: 93008
- Rebuild after bootstrapping
- imported package plexus-ant-factory

